%define debug_package %{nil}

# To be built like wireless-tools (package).
# and use the nearest wireless-extensions version (as kernel has).
# but it can work if WE are not the same between kernel & WT.
# define which kernel to find wireless-extension headers.
# Wireless-extensions are compatible up and down since v16 is used.

Name:           RutilT
Version:        0.14
Release:        3%{?dist}
Summary:        Diagnostic tools for Ralink Wireless devices
Group:	        System Environment/Base
License:        GPL
URL:            http://cbbk.free.fr/bonrom/
Source0:        http://cbbk.free.fr/bonrom/files/RutilTv%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  kernel-devel
BuildRequires:  openssl-devel
Requires:       usermode


%description
RutilT should work with any Linux wireless extension compliant kernel module.
It also features special support for rt2400, rt2500 and rt2570 devices.

%prep
%setup -q -n RutilTv%{version}
install -pm 0644 art/COPYING COPYING-art
sed -i 's/\r//' COPYING-art
sed -i 's|helper_prefix=$prefix/share/rutilt|helper_prefix=%{_sbindir}|' configure.sh
sed -i 's|rutilt_prefix=bin/|rutilt_prefix=sbin/|' configure.sh


%build
# Notes.
# Default prefix is /usr/local, so use %{_prefix} aka /usr.
# kernel_sources needs to find /linux/wireless.h (only).
# wireless.h must provide we >=17.
sh configure.sh					\
  --prefix=%{_prefix}				\
  --launcher=disabled

make %{?_smp_mflags} OPTIONS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

sh configure.sh					\
  --prefix=$RPM_BUILD_ROOT%{_prefix}		\

make install 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=RutilT WLAN Manager
Name[fr]=Utilitaire de Configuration Wifi RutilT
GenericName=WLAN Manager
GenericName[fr]=Utilitaire de Configuration Wifi
Comment=Manage your wireless network interfaces
Comment[fr]=Configurer vos cartes Wifi
Terminal=false
Type=Application
Encoding=UTF-8
Exec=rutilt
Icon=RutilT48x48.png
Version=%{version}
Categories=Application;Settings;
StartupNotify=false
EOF

desktop-file-install --vendor fedora			\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications	\
  --mode 644					\
  %{name}.desktop

rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/rutilt.desktop

cat > rutilt.pam <<EOF
#%PAM-1.0
auth       include	system-auth
account    include	system-auth
password   include	system-auth
session    optional	pam_keyinit.so revoke
session    required	pam_limits.so
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m 0644 rutilt.pam $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/rutilt
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/rutilt


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README COPYING-art
%config %{_sysconfdir}/pam.d/rutilt
%{_bindir}/rutilt 
%{_sbindir}/rutilt
%{_datadir}/rutilt/set_ip.sh
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/*.1.gz

%changelog
* Tue May  8 2007 kwizart < kwizart at gmail.com > - 0.14-3
- Remove strip command
- rebuild for Fedora 7
- Pam rules from sudo pam.d
- Let makefile find the kernel path

* Tue May  8 2007 kwizart < kwizart at gmail.com > - 0.14-2
- Fix pixmaps and do pam

* Tue Apr 17 2007 kwizart < kwizart at gmail.com > - 0.14-1
- Update to 0.14b

* Wed Nov 8 2006 kwizart < kwizart at gmail.com > - 0.13-4.fc6
- Update to 0.13

* Wed Sep 13 2006 kwizart < kwizart at gmail.com > - 0.12-4_FC5
- rutil_helper is now setuid to allow root operations.
  (warning - potencial security risk!)
- rutil_helper and set_ip are now in sbindir - because they should
  not be in the normal user PATH.

* Fri Sep 08 2006 kwizart < kwizart at gmail.com > - 0.12-3_FC5
- Search wireless extensions header from kernel 2.6.17-1_2174_FC5.
- Fixed rutilt_helper & set_ip.sh in the right place.

* Fri Aug 18 2006 kwizart < kwizart at gmail.com > - 0.12-2_FC5
- For Extra release.
- Update to 0.12.

* Tue Aug 10 2006 kwizart < kwizart at gmail.com > - 0.11-1.kwizart.FC5
- Inital release. 
